# Uses of Interface
org.eclipse.emf.cdo.security.PackageFilter

Packages that use PackageFilter
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of PackageFilter in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return PackageFilter
Modifier and Type
Method
Description
`PackageFilter`
SecurityFactory.`createPackageFilter()`
Returns a new object of class 'Package Filter'.
`PackageFilter`
SecurityFactory.`createPackageFilter(EPackage ePackage)`

## Uses of PackageFilter in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement PackageFilter
Modifier and Type
Class
Description
`class`
`PackageFilterImpl`
An implementation of the model object 'Package Filter'.
Methods in org.eclipse.emf.cdo.security.impl that return PackageFilter
Modifier and Type
Method
Description
`PackageFilter`
SecurityFactoryImpl.`createPackageFilter()`
`PackageFilter`
SecurityFactoryImpl.`createPackageFilter(EPackage ePackage)`

## Uses of PackageFilter in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type PackageFilter
Modifier and Type
Method
Description
`T`
SecuritySwitch.`casePackageFilter(PackageFilter object)`
Returns the result of interpreting the object as an instance of 'Package Filter'.
`boolean`
SecurityValidator.`validatePackageFilter(PackageFilter packageFilter, DiagnosticChain diagnostics, Map<Object,Object> context)`